use eframe::epaint::Stroke;
use egui::{Frame, Hyperlink, Ui};

pub fn top_bar(ctx: &egui::Context) {
    egui::TopBottomPanel::top("menu")
        .resizable(false)
        .show(ctx, |ui| {
            egui::menu::bar(ui, |ui| {
                ui.style_mut().visuals.hyperlink_color =
                    ui.style().visuals.widgets.noninteractive.fg_stroke.color;
                ui.add(
                    Hyperlink::from_label_and_url("wxbox", "https://weather.ax/about")
                        .open_in_new_tab(true),
                );
                if cfg!(debug_assertions) {
                    ui.add_space(6.0);
                    egui::warn_if_debug_build(ui);
                }
            });
        });
}
